html {
    background: #07122e;
    color: #fff;
    font-family: "Montserrat", "Noto Sans TC", sans-serif;
    scroll-behavior: smooth;
}

html,
body {
    margin: 0;
    padding: 0;
    overflow: hidden;
}

a {
    text-decoration: none;
    color: #000;
}

ul {
    padding: 0;
}

li {
    list-style: none;
}

header {
    width: calc(100% - 30px);
    height: 45px;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}

header h1 {
    margin: 0;
    font-size: 30px;
}

header .logo{
    height: 45px;
}

.menu-btn {
    border: 2px solid white;
    border-radius: 50px;
    width: 35px;
    height: 35px;
    overflow: hidden;
}

.menu-btn img {
    width: 100%;
    height: 100%;
}

.prompt {
    max-height: 100px;
    margin-top: 20px;
}

#cardList {
    margin-top: 20px;
    max-height: calc(100vh - 250px);
    overflow-y: scroll;
    padding-bottom: 220px;
}

.card {
    position: relative;
    width: calc(90% - 15px);
    margin: 10px auto;
    border-radius: 35px;
    padding: 15px 15px 15px 15px;
    animation: cardstart 1.5s ease-out;
}

.card.blue {
    background: #739aff;
    color: #fff;
}

.card.green {
    background: #1ed760;
    color: #fff;
}

.card.yellow {
    background: #ffdb01;
    color: #07122e;
}

.card.red {
    background: #f7362d;
    color: #fff;
}

.card.first-add {
    border: dashed 5px #2e3c56;
}

@keyframes cardstart {
    0% {
        background: #fff;
        transform: translateY(150px);
    }

    50% {
        transform: translateY(0px);
    }
}

.card:not(:first-child) {
    margin: -150px auto 10px;
    /* -webkit-box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.5); */
    box-shadow: 0px 0px 0px 5px #07122e;
}

.card.expand {
    margin: 10px auto !important;
}

.card-content {
    position: relative;
    width: calc(100% - 20px);
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    margin: 10px;
    padding-bottom: 175px;
}

.card-content h2,
.card-content p {
    margin: 0;
    max-width: 50%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.card-content h2 {
    font-size: 20px;
}

.card-content p {
    margin-right: 30px;
}

.card-more {
    position: absolute;
    right: 15px;
    top: 30px;
    background: transparent;
    border: none;
    z-index: 5;
}

.card-edit {
    position: absolute;
    background: rgba(255, 255, 255, 0.6);
    width: 50%;
    right: 15px;
    top: 60px;
    border-radius: 15px;
    z-index: 2;
    color: #07122e;
    -moz-backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    -ms-backdrop-filter: blur(25px);
    -o-backdrop-filter: blur(25px);
    backdrop-filter: blur(25px);
}

.card-edit ul {
    margin: 0;
    padding: 0;
}

.card-edit ul li {
    display: inline-flex;
    list-style: none;
    padding: 10px 15px;
    align-items: center;
    justify-content: space-between;
    width: calc(100% - 30px);
}

.card-edit ul li:first-child {
    border-bottom: 3px solid rgba(255, 255, 255, 0.5);
}

.card-edit ul li:nth-child(2) {
    color: #f7362d;
}

button.fixbtn {
    position: fixed;
    right: 20px;
    width: 60px;
    height: 60px;
    border-radius: 60px;
    border: none;
    background: #2e3c56;
    z-index: 6;
}

button.add-card-btn {
    bottom: 30px;
}

button.edit-card-btn {
    bottom: 100px;
}

.show-card {
    visibility: hidden;
    width: 100%;
    position: fixed;
    background: #fff;
    color: #000;
    text-align: center;
    border-radius: 30px 30px 0 0px;
    height: 0%;
    z-index: 7;
    bottom: 0;
    /* bottom: -110vh; */
    -moz-transition: all 0.7s;
    -webkit-transition: all 0.7s;
    -ms-transition: all 0.7s;
    -o-transition: all 0.7s;
    transition: all 0.7s;
}

.show-card.show {
    visibility: visible;
    height: 90%;
    /* bottom: 0; */
}

.privacy-content{
    max-height: calc(90vh - 250px);
    overflow-y: scroll;
    margin-bottom: 25px;
    padding: 0 15px;
    text-align: left;
}

.privacy-content ol li{
    list-style: auto;
}

.privacy-content  ol li ul{
    padding-left: 20px;
}

.privacy-content ol li ul li{
    list-style: disc;
}

.show-card h2 {
    margin: 45px auto 20px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 60%;
}

.show-card button#close {
    position: absolute;
    right: 20px;
    top: 20px;
    border: 0;
    margin: 0;
    padding: 0;
    background: transparent;
    width: 24px;
    height: 24px;
}

/* .show-card button#close svg{
    width: 24px;
    height: 24px;
} */

#barcode-content {
    margin: 80px auto 0;
}

#barcode-content.reverse {
    transform: rotate(180deg);
}

#barcode {
    font-size: 50px;
    transform: scaleY(200%);
    margin: 0;
}

#barcode.code39 {
    font-family: 'Libre Barcode 39', sans-serif;
}

#barcode.code128 {
    font-family: 'Libre Barcode 128', sans-serif;
}

#barcodeText {
    margin: -10px auto 50px;
    font-size: 18px;
}

#bg {
    position: fixed;
    visibility: hidden;
    width: 150vw;
    height: 150vh;
    -moz-backdrop-filter: blur(5px) brightness(60%);
    -webkit-backdrop-filter: blur(5px) brightness(60%);
    -ms-backdrop-filter: blur(5px) brightness(60%);
    -o-backdrop-filter: blur(5px) brightness(60%);
    backdrop-filter: blur(5px) brightness(60%);
    top: 200vh;
    z-index: 6;
}

#bg.show {
    visibility: visible;
    top: -25vh;
    right: -25vw;
}

button.show-card-btn {
    width: calc(80% - 20px);
    border: none;
    background: #07122e;
    color: #fff;
    font-size: 20px;
    padding: 10px;
    border-radius: 50px;
    border: none;
    margin: 10px auto;
}

.row {
    position: relative;
    margin-bottom: 20px;
}

.label {
    position: absolute;
    left: calc(10% + 10px);
    top: 17px;
    transition: all 0.2s ease;
}

.form--item {
    background: #dfdfdf;
    padding: 1.75rem 1rem 0.75rem;
    width: calc(80% - 20px);
    border: none;
    border-bottom: 2px solid #dfdfdf;
}

.form--item:focus {
    background: #f5f6fa;
    border-bottom: 2px solid #07122e;
    outline-width: 0;
}

input:focus+label,
input:not(:placeholder-shown)+label,
textarea:focus+label,
textarea:not(:placeholder-shown)+label {
    top: 5px;
    font-size: 13px;
    color: #07122e;
}

.switch {
    position: relative;
    width: calc(80% - 20px);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin: 0 auto;
}

.switch:not(:last-child) {
    margin-bottom: 1em;
}

.switch-bar {
    position: relative;
    width: 50px;
    height: 20px;
}

.switch input {
    position: absolute;
    width: 50px;
    height: 20px;
    overflow: hidden;
    opacity: 0;
    top: 0;
    left: 0;
}

.switch label {
    font-size: 1.2em;
    font-weight: 300;
    color: #07122e;
    padding-left: 70px;
    user-select: none;
    cursor: pointer;
}

.switch .checked {
    position: absolute;
    left: 0;
    z-index: -1;
    width: 50px;
    height: 20px;
    border-radius: 50px;
    background-color: #07122e;
}

.switch .checked:after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background-color: #88b3ea;
    -webkit-box-shadow: 0 1px 7px 0 rgba(0, 0, 0, 0.3);
    box-shadow: 0 1px 7px 0 rgba(0, 0, 0, 0.3);
    -webkit-transform: translate(-5px, -50%);
    transform: translate(-5px, -50%);
    -webkit-transition: transform 200ms cubic-bezier(0.65, 0.38, 0.29, 1.19);
    transition: transform 200ms cubic-bezier(0.65, 0.38, 0.29, 1.19);
}

.switch input:checked~.checked {
    background-color: #07122e;
}

.switch input:checked~.checked:after {
    background-color: #88b3ea;
    -webkit-transform: translate(23px, -50%);
    transform: translate(23px, -50%);
}

.scan {
    position: absolute;
    right: calc(20px + 1.5rem);
    top: 0.95rem;
    height: 30px;
    width: 30px;
    padding: 0;
    margin: 0;
    border: 0;
    background: transparent;
}

.scan-card-popup {
    position: fixed;
    width: 95%;
    height: 550px;
    top: 50%;
    left: 2.5%;
    z-index: 10;
    background: #2e3c56;
    transform: translateY(-50%);
    border-radius: 35px;
}

.scan-card-popup p {
    text-align: center;
}

#reader {
    position: relative;
}

#reader::after {
    content: "";
    width: 300px;
    height: 3px;
    background: #f7362d;
    z-index: 12;
    position: absolute;
    top: calc(50% - 1px);
    left: 50%;
    transform: translateX(-50%);
}

button.scan-cancel-btn {
    width: 80%;
    border: none;
    background: #07122e;
    color: #fff;
    font-size: 20px;
    padding: 10px;
    border-radius: 50px;
    border: none;
    margin: 15px 10% 0;
}

p.note {
    font-size: 14px;
}

.login-nav {
    width: calc(80% - 20px + 2rem);
    margin: 0px auto 15px;
    border-bottom: 2px solid #07122e;
}

.login-nav ul {
    display: inline-flex;
    width: 100%;
    margin: 0;
    padding: 0;
}

.login-nav ul li {
    width: 50%;
    margin: 0;
    list-style: none;
    padding: 0.6rem 1rem;
}

.login-nav ul li.active {
    background: #07122e;
    color: #fff;
}

p.forget {
    margin: 0;
    text-decoration: underline;
}

p#password-strength {
    width: calc(80% - 20px);
    font-size: 12px;
    text-align: left;
    margin-left: 10%;
    margin-top: -20px;
    margin-bottom: 10px;
}

p.social-text {
    margin: 10px 0 0;
}

button.social-btn {
    margin: 15px 10px;
    width: 40px;
    height: 40px;
    border-radius: 40px;
    border: none;
    padding: 5px;
    background: #dfdfdf;
}

.member-content .avatar {
    margin: 0 auto;
    height: 100px;
    width: 100px;
    background-size: contain;
    background-position: center;
    border-radius: 150px;
    border: solid 2px #07122e;
}

ul.menu-list {
    margin: 40px auto 10px;
}

ul.menu-list li {
    position: relative;
    margin: 0px auto;
    padding: 25px 10px;
    text-align: left;
    width: calc(80% - 30px);
    border-bottom: 1px dashed #07122e;
    font-weight: 700;
}

ul.menu-list li:last-child {
    border: none;
}

ul.menu-list li::after {
    content: "❯";
    position: absolute;
    right: 10px;
}

.member-info .show-info ul {
    margin: 50px 20px 8px;
}

.member-info .show-info ul a {
    color: #fff;
}

.member-info .show-info ul li {
    display: inline-flex;
    padding: 15px 10px;
    border-bottom: 1px dashed #aaa;
    width: calc(100% - 20px);
    align-items: center;
    justify-content: space-between;
}

.info-title {
    font-weight: 700;
}

.member-info .show-info ul li:last-child {
    border: none;
}

.close-info {
    position: absolute;
    right: 20px;
    top: 20px;
    border: 0;
    margin: 0;
    padding: 0;
    background: transparent;
    width: 24px;
    height: 24px;
}

.edit-info,
.forget-password-info {
    margin: 100px auto 10px;
    width: calc(80% - 20px);
    ;
}

.scan-card-popup .row {
    position: relative;
    margin-bottom: 15px;
}

.scan-card-popup .label {
    position: absolute;
    left: calc(10% + 10px);
    top: 0.7rem;
    left: 1rem;
    transition: all 0.2s ease;
}

.scan-card-popup .form--item {
    background: transparent;
    padding: 0.8rem 1rem 0.8rem 3.5rem;
    width: calc(100% - 4.3rem);
    border: none;
    border: 2px solid #dfdfdf;
    border-radius: 0;
    color: #dfdfdf;
    font-size: 1rem;
}

.scan-card-popup .form--item:focus {
    outline-width: 0;
}

.scan-card-popup input:focus+label,
.scan-card-popup input:not(:placeholder-shown)+label,
.scan-card-popup textarea:focus+label,
.scan-card-popup textarea:not(:placeholder-shown)+label {
    top: 0.7rem;
    font-size: 1rem;
    color: #dfdfdf;
}

.save-info-btn,
.forget-password-btn {
    width: 80%;
    border: none;
    background: #07122e;
    color: #fff;
    font-size: 20px;
    padding: 10px;
    border-radius: 50px;
    border: none;
    margin: 15px 10% 0;
}

.notify-content{
    margin: 50px 20px 8px;
    height: 350px;
    overflow-y: scroll;
    padding: 10px;
}

.notify-content ul{
    margin: 0;
}

.notify-content ul li{
    padding: 10px 0;
    border-bottom: 1px dashed #aaa;
}

.notify-content ul li:last-child{
    border: none;
}

#cover {
    position: fixed;
    display: inline-flex;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    -moz-backdrop-filter: blur(5px) brightness(60%);
    -webkit-backdrop-filter: blur(5px) brightness(60%);
    -ms-backdrop-filter: blur(5px) brightness(60%);
    -o-backdrop-filter: blur(5px) brightness(60%);
    backdrop-filter: blur(5px) brightness(60%);
    z-index: 99;
}

.loader {
    width: 15px;
    height: 15px;
    aspect-ratio: 1;
    border-radius: 50%;
    animation: l5 1s infinite linear alternate;
}

footer{
    position: fixed;
    bottom: 0;
    width: 100%;
    text-align: center;
    color: #dfdfdf;
    font-size: 10px;
    padding-bottom: 10px;
}

footer a{
    color: #dfdfdf;
}

@keyframes l5 {
    0% {
        box-shadow: 20px 0 #000, -20px 0 #fff;
        background: #000
    }

    33% {
        box-shadow: 20px 0 #000, -20px 0 #fff;
        background: #fff
    }

    66% {
        box-shadow: 20px 0 #fff, -20px 0 #000;
        background: #fff
    }

    100% {
        box-shadow: 20px 0 #fff, -20px 0 #000;
        background: #000
    }
}

.hide {
    display: none !important;
}